# Class ListChangeEvent<E>

java.lang.Object
java.util.EventObject
org.eclipse.core.databinding.observable.ObservableEvent
org.eclipse.core.databinding.observable.list.ListChangeEvent<E>

Type Parameters:
  `E` - the type of the elements in this change event

All Implemented Interfaces:
  `Serializable`

public class ListChangeEvent<E> extends ObservableEvent
List change event describing an incremental change of an `IObservableList` object.

Since:
  1.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`ListDiff<E>`
`diff`
Description of the change to the source observable list.

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ListChangeEvent(IObservableList<E> source, ListDiff<E> diff)`
Creates a new list change event.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`dispatch(IObservablesListener listener)`
Dispatch this event to the given listener.
`protected Object`
`getListenerType()`
Returns a unique object used for distinguishing this event type from others.
`IObservableList<E>`
`getObservableList()`
Returns the observable list from which this event originated.

### Methods inherited from class ObservableEvent

`getObservable`

### Methods inherited from class EventObject

`getSource, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### diff

public ListDiff<E> diff
Description of the change to the source observable list. Listeners must not change this field.

## Constructor Details

### ListChangeEvent

public ListChangeEvent(IObservableList<E> source, ListDiff<E> diff)
Creates a new list change event.

Parameters:
  `source` - the source observable list
  `diff` - the list change

## Method Details

### getObservableList

public IObservableList<E> getObservableList()
Returns the observable list from which this event originated.

Returns:
  the observable list from which this event originated

### dispatch

protected void dispatch(IObservablesListener listener)
Description copied from class: `ObservableEvent`
Dispatch this event to the given listener. Subclasses must implement this method by calling the appropriate type-safe event handling method on the given listener according to the type of this event.

Specified by:
  `dispatch` in class `ObservableEvent`
Parameters:
  `listener` - the listener that should handle the event

### getListenerType

protected Object getListenerType()
Description copied from class: `ObservableEvent`
Returns a unique object used for distinguishing this event type from others.

Specified by:
  `getListenerType` in class `ObservableEvent`
Returns:
  a unique object representing the concrete type of this event.